ReferenceConsent
Update a consent purpose
AuthorizationBearer <token>
Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.
In: header
X-Nimbu-Site<token>
Identifier of the site context when authenticating with a personal access token.
In: header
Path Parameters
key*string
Purpose identifier (slug). Maps to Sinatra splat segment params[:splat].first.
Header Parameters
X-Nimbu-Site*string
Site identifier
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/settings/consent/purposes/string" \ -H "X-Nimbu-Site: string" \ -H "Content-Type: application/json" \ -d '{}'{
"name": "string",
"description": {}
}{
"message": "string",
"errors": {
"property1": [
"string"
],
"property2": [
"string"
]
}
}